package util

import (
	"bufio"
	"fmt"
	"net/http"
	"os"
	"runtime"
	"strings"
)

func GetFunctionName() string {
	pc, _, _, _ := runtime.Caller(1)
	f := runtime.FuncForPC(pc)
	return strings.Split(strings.Split(f.Name(), "/")[1], ".")[1]
}

func HasSubURI(r *http.Request) (bool, string) {
	url := strings.Split(r.URL.Path, "/")
	return (len(url[2]) > 0), url[2]
}

func InputString(print string) string {
	reader := bufio.NewReader(os.Stdin)
	fmt.Print(print)
	input, err := reader.ReadString('\n')
	if err != nil {
		panic(err)
	}
	return strings.TrimSpace(input)
}

func StringInSlice(s string, list []string) bool {
	for _, v := range list {
		if v == s {
			return true
		}
	}
	return false
}
