// Server Side Rendering

export async function load(context) {
  async function fetchData(data) {
    try {
      const resTemp = await context.fetch(`http://0.0.0.0:8085/${data}`);
      if (resTemp.ok == false) {
        return {
          status: resTemp.status,
        }
      }
      return {
        status: 0, data: await resTemp.json(),
      }
    } catch (error) {
      return {
        status: 500,
      }
    }
  }

  const res = (await fetchData("photo_list"));
  if (res.status == 500) return {
    status: res.status
  }

  return {
    status: 0,
    content: res.data,
  };
}